# wxVector< T >::wxVector< T >::reverse_iterator Class Reference

`#include <wx/vector.h>`

## Detailed Description

### template<typename T>
class wxVector< T >::reverse_iterator

Reverse iterator interface.

## Public Member Functions
| reverse_iterator ()
| reverse_iterator (iterator it)
| reverse_iterator (const reverse_iterator &it)
reference | operator* () const
pointer | operator-> () const
iterator | base () const
reverse_iterator & | operator++ ()
reverse_iterator | operator++ (int)
reverse_iterator & | operator-- ()
reverse_iterator | operator-- (int)
reverse_iterator | operator+ (difference_type n) const
reverse_iterator & | operator+= (difference_type n)
reverse_iterator | operator- (difference_type n) const
reverse_iterator & | operator-= (difference_type n)
reference | operator[] (difference_type n) const
bool | operator== (const reverse_iterator &it) const
bool | operator!= (const reverse_iterator &it) const

List of all members.

## Constructor & Destructor Documentation

template<typename T >

wxVector< T >::wxVector< T >::reverse_iterator::reverse_iterator | ( |  | ) |

template<typename T >

wxVector< T >::wxVector< T >::reverse_iterator::reverse_iterator | ( | iterator | it | ) | `[explicit]`

template<typename T >

wxVector< T >::wxVector< T >::reverse_iterator::reverse_iterator | ( | const reverse_iterator & | it | ) |

## Member Function Documentation

template<typename T >

iterator wxVector< T >::wxVector< T >::reverse_iterator::base | ( |  | ) | const

template<typename T >

bool wxVector< T >::wxVector< T >::reverse_iterator::operator!= | ( | const reverse_iterator & | it | ) | const

template<typename T >

reference wxVector< T >::wxVector< T >::reverse_iterator::operator* | ( |  | ) | const

template<typename T >

reverse_iterator wxVector< T >::wxVector< T >::reverse_iterator::operator+ | ( | difference_type | n | ) | const

template<typename T >

reverse_iterator wxVector< T >::wxVector< T >::reverse_iterator::operator++ | ( | int |  | ) |

template<typename T >

reverse_iterator& wxVector< T >::wxVector< T >::reverse_iterator::operator++ | ( |  | ) |

template<typename T >

reverse_iterator& wxVector< T >::wxVector< T >::reverse_iterator::operator+= | ( | difference_type | n | ) |

template<typename T >

reverse_iterator wxVector< T >::wxVector< T >::reverse_iterator::operator- | ( | difference_type | n | ) | const

template<typename T >

reverse_iterator wxVector< T >::wxVector< T >::reverse_iterator::operator-- | ( | int |  | ) |

template<typename T >

reverse_iterator& wxVector< T >::wxVector< T >::reverse_iterator::operator-- | ( |  | ) |

template<typename T >

reverse_iterator& wxVector< T >::wxVector< T >::reverse_iterator::operator-= | ( | difference_type | n | ) |

template<typename T >

pointer wxVector< T >::wxVector< T >::reverse_iterator::operator-> | ( |  | ) | const

template<typename T >

bool wxVector< T >::wxVector< T >::reverse_iterator::operator== | ( | const reverse_iterator & | it | ) | const

template<typename T >

reference wxVector< T >::wxVector< T >::reverse_iterator::operator[] | ( | difference_type | n | ) | const

|  | [ top ]